Bug 210755 - [New port] sysutils/gsh: Command line program to run commands on remote hosts in parallel
Summary: [New port] sysutils/gsh: Command line program to run commands on remote hosts...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-02 01:57 UTC by Jesse Smith
Modified: 2017-01-01 18:49 UTC (History)
1 user (show)

See Also:


Attachments
Port of gsh for FreeBSD (2.29 KB, text/plain)
2016-07-02 01:57 UTC, Jesse Smith
no flags Details
Updated shar for the gsh port (2.29 KB, text/plain)
2016-07-02 13:32 UTC, Jesse Smith
no flags Details
fix various issues (1.73 KB, text/plain)
2016-12-30 17:20 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Smith 2016-07-02 01:57:24 UTC
Created attachment 172033 [details]
Port of gsh for FreeBSD

The gsh program is a command line program used to run commands on multiple remote host computers in parallel. The gsh program has few dependencies, requiring Perl and the OpenSSH client software to work.

The upstream project can be found here: https://github.com/kees/gsh

The attached port sets up gsh to run on FreeBSD.
Comment 1 Jesse Smith 2016-07-02 13:32:15 UTC
Created attachment 172040 [details]
Updated shar for the gsh port

Updated the port shar to provide the correct license.
Comment 2 Nikolai Lifanov freebsd_committer 2016-12-30 17:20:30 UTC
Looks good so far.

 o pet "portlint -A"
 o change pkg-message from ghosts(5) to ghosts(1): where then man page is actually installed

Can you look at the shar I'm about to attach and see if it's OK?
Comment 3 Nikolai Lifanov freebsd_committer 2016-12-30 17:20:53 UTC
Created attachment 178402 [details]
fix various issues
Comment 4 commit-hook freebsd_committer 2017-01-01 18:49:02 UTC
A commit references this bug:

Author: lifanov
Date: Sun Jan  1 18:48:22 UTC 2017
New revision: 430271
URL: https://svnweb.freebsd.org/changeset/ports/430271

Log:
  new port: sysutils/gsh

  The gsh program is a command line program used to run commands on multiple remote host computers in parallel. The gsh program has few dependencies, requiring Perl and the OpenSSH client software to work.

  PR:		210755
  Submitted by:	jsmith@resonatingmedia.com
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9002

Changes:
  head/sysutils/Makefile
  head/sysutils/gsh/
  head/sysutils/gsh/Makefile
  head/sysutils/gsh/distinfo
  head/sysutils/gsh/files/
  head/sysutils/gsh/files/pkg-message.in
  head/sysutils/gsh/pkg-descr
  head/sysutils/gsh/pkg-plist
Comment 5 Nikolai Lifanov freebsd_committer 2017-01-01 18:49:40 UTC
Committed with changes, thanks!